%define rel pre1
Summary: Cistron RADIUS daemon (with PAM) 
Summary(ru): Cistron RADIUS  (  PAM)
Name: xtradius-1.1-pre1
Version: 3
Release: 1
Group: Networking/Daemons
Group(ru): /
Source0: http://www.xtradius.com/%{name}.tgz
#Source1: radius.pam
Source2: radiusd.init
Patch0: xtradius-1.1-pre1-no-cvs.patch
Patch1: xtradius-1.1-pre1-checkrad.patch
Patch2: xtradius-1.1-pre1-radwho.patch
Patch3: xtradius-1.1-pre1-make.patch
Patch4: xtradius-1.1-pre1-radlast.patch
Patch5: xtradius-1.1-pre1-ascend.patch
Patch6: xtradius-1.1-pre1-execparams.patch
Patch7: xtradius-1.1-pre1-logrotate.patch
Packager: MaZay <mazay@phone.dn.ua>
Vendor:   MaZay <mazay@phone.dn.ua>
URL: http://www.miquels.cistron.nl/radius/
Copyright: GPL
BuildRoot: %{_tmppath}/build-%{name}

%description
RADIUS server with a lot of functions. Short overview: 

- PAM support
- Supports access based on huntgroups
- Multiple DEFAULT entries in users file
- All users file entries can optionally "fall through"
- Caches all config files in-memory
- Keeps a list of logged in users (radutmp file)
- "radwho" program can be installed as "fingerd"
- Logs both UNIX "wtmp" file format and RADIUS detail logfiles
- Supports Simultaneous-Use = X parameter. Yes, this means
  that you can now prevent double logins!
- Cisco VoIP support
- LDAP support
- external auth/accounting scripts support

%description -l ru
 RADIUS    .   : 

-  PAM
-  ,   huntgroup'
-  DEFAULT    users
-    users   "fall through"
-      
-     ( radutmp)
-  "radwho",      "fingerd"
-  Log'   : UNIX "wtmp"   RADIUS log-
-   Simultaneous-Use = X. ,  ,
        login'!
-  Cisco VoIP
-  LDAP 
-   auth/accounting 

%changelog
* Tue Mar 27 2001 <mazay@phone.dn.ua>
- fixed buildroot error
- change verion numeration for better rpm version identification

* Tue Mar 20 2001 <mazay@phone.dn.ua>
- fixed logrotate radiusd script (removed DOS new line code 0D 0A to 0A)

* Tue Mar 13 2001 <mazay@phone.dn.ua>
- fixed radlast script (removed DOS new line code 0D 0A to 0A)
- Ascend call-back attributes disctionary.ascend update 
- remove from logrotate config checkrad.log

* Fri Mar 02 2001 <mazay@phone.dn.ua>
- rename users from .tgz distro into users.cistron
- rename users.xtr from .tgz distro into users
- remove additional compilers flag for disable compilation warnings
- move /etc/raddb/hints to /etc/raddb/hints.dist
- remove PAM support for better stability

* Thu Mar 01 2001 <mazay@phone.dn.ua>
- .spec file rewrite for support new files in distribution
- no-cvs.patch
- corrected prefix by checkrad.patch 
- add radwho.patch to remove buggy radwatch script in .tgz distribution
- remove from binary rpm empty man pages

* Thu Jan 18 2001 <mazay@phone.dn.ua>

-   xtradius 1.1  1

* Sun Nov 05 2000 <mazay@phone.dn.ua>

-  1.6.4

* Mon Jul 03 2000 MaZay <mazay@phone.dn.ua>

-    /etc/rc.d/init.d/radiusd /
  RADIUS'

-    status  reload   /etc/rc.d/init.d/radiusd

-       Black Cat Linux 6.2

* Mon May 29 2000 MaZay <mazay@phone.dn.ua>

-  1.6.3-stable

* Mon Feb 14 2000 MaZay <mazay@altavista.net>

-       Nostromo'

* Sat Feb 12 2000 MaZay <mazay@altavista.net>

-  1.6.2-stable

* Sun Dec 05 1999 MaZay <mazay@altavista.net>

-  1.6.1-stable


%prep 

%setup -q -n %{name}

cd raddb
mv users users.cistron
mv users.xtr users
mv hints hints.dist
for f in clients users naslist huntgroups ; do cp $f $f-dist ; done
cd ..

%patch0 -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
cd src
# if you need enable PAM support
# make PAM=-DPAM PAMLIB="-lpam -ldl" CFLAGS="-Wall ${RPM_OPT_FLAGS}"

# if you don't need PAM support
#make CFLAGS="-Wall ${RPM_OPT_FLAGS}"
make
cd ..

%install
# prepare $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/{,etc/{,raddb,logrotate.d,pam.d,rc.d/{,init.d,rc{0,1,2,3,4,5,6}.d}},usr/{,bin,sbin,man/{,man{1,5,8}}},var/{,log/{,radacct}}}

# make install
cd src
make install BINDIR=${RPM_BUILD_ROOT}/usr/bin SBINDIR=${RPM_BUILD_ROOT}/usr/sbin
install -m 755 radtest ${RPM_BUILD_ROOT}/usr/bin/
cd ..

# do /etc/raddb
cd raddb
install -m 640 * ${RPM_BUILD_ROOT}/etc/raddb
cd ..

# radwatch
install -m 755 scripts/radwatch ${RPM_BUILD_ROOT}/usr/sbin/

# other files
cd redhat
# install -m 555 rc.radiusd-redhat ${RPM_BUILD_ROOT}/etc/rc.d/init.d/radiusd
install -m 644 radiusd-logrotate ${RPM_BUILD_ROOT}/etc/logrotate.d/radiusd
install -m 644 radiusd-pam ${RPM_BUILD_ROOT}/etc/pam.d/radius
install -m 555 $RPM_SOURCE_DIR/radiusd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/radiusd
cd ..

# man pages
cd doc
mv builddbm.8rad builddbm.8
mv clients.5rad clients.5
mv naslist.5rad naslist.5
install -m 444 radiusd.8 ${RPM_BUILD_ROOT}/usr/man/man8/
install -m 444 builddbm.8 ${RPM_BUILD_ROOT}/usr/man/man8/
install -m 444 clients.5 ${RPM_BUILD_ROOT}/usr/man/man5/
install -m 444 naslist.5 ${RPM_BUILD_ROOT}/usr/man/man5/
cd ..

# rc.d files
for i in 3 4 5;  do
	ln -sf ../init.d/radiusd ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/S12radiusd
done
for i in 0 1 2 6; do
	ln -sf ../init.d/radiusd ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/K98radiusd
done

for i in radutmp radwtmp radius.log; do
	touch ${RPM_BUILD_ROOT}/var/log/$i
	chown root.root ${RPM_BUILD_ROOT}/var/log/$i
	mkdir -p /var/log/radacct
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
#%doc doc/ChangeLog doc/README doc/README.pam doc/README.proxy 
#%doc doc/README.usersfile doc/README.simul doc/INSTALL.OLD 
#%doc doc/Makefile.README doc/README.cisco todo/ 
#%doc COPYRIGHT.Cistron COPYRIGHT.Livingston
%doc doc/ChangeLog doc/README* doc/INSTALL.OLD todo/* COPYRIGHT*

/usr/bin/*
/usr/sbin/*
/usr/man/man5/*
/usr/man/man8/*
/var/log/radutmp
/var/log/radwtmp
/var/log/radius.log
%dir /var/log/radacct/

%dir /etc/raddb/
%config /etc/raddb/*
%config /etc/pam.d/radius
%config /etc/logrotate.d/radiusd
%config /etc/rc.d/init.d/radiusd
%config(missingok) /etc/rc.d/rc0.d/K98radiusd
%config(missingok) /etc/rc.d/rc1.d/K98radiusd
%config(missingok) /etc/rc.d/rc2.d/K98radiusd
%config(missingok) /etc/rc.d/rc3.d/S12radiusd
%config(missingok) /etc/rc.d/rc4.d/S12radiusd
%config(missingok) /etc/rc.d/rc5.d/S12radiusd
%config(missingok) /etc/rc.d/rc6.d/K98radiusd
